Name:           openyahtzee
Version:        1.9.3
Release:        %mkrel 17
Summary:        Open-source version of the classic dice game Yahtzee
Group:          Games/Boards
License:        GPLv2
URL:            http://www.openyahtzee.org/
Source0:        https://download.sourceforge.net/openyahtzee/%{name}-%{version}.tar.xz
BuildRequires:  boost-devel
BuildRequires:  wxgtk-devel

%description
Open Yahtzee is an open-source version of the classic dice game Yahtzee.
The goal is to score as many points as possible by rolling different dice
combinations.

%prep
%autosetup -p1

# fix build with wxgtk >= 3.1.2
sed -i -e 's,wxADJUST_MINSIZE,0,g' src/about.cpp

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6.*


%changelog
* Fri Jul 15 2022 wally <wally> 1.9.3-17.mga9
+ Revision: 1868996
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 1.9.3-16.mga9
+ Revision: 1864104
- rebuild for wxgtk 3.1.7

* Fri Apr 15 2022 wally <wally> 1.9.3-15.mga9
+ Revision: 1849988
- rebuild for wxgtk 3.1.6

* Sun Apr 03 2022 umeabot <umeabot> 1.9.3-14.mga9
+ Revision: 1842856
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 1.9.3-13.mga9
+ Revision: 1768486
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()
- drop unneeded patch

* Sat Jan 15 2022 wally <wally> 1.9.3-12.mga9
+ Revision: 1768381
- add patch to fix app window layout with wxgtk3.1

* Sat Jan 01 2022 wally <wally> 1.9.3-11.mga9
+ Revision: 1765698
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 1.9.3-10.mga8
+ Revision: 1667723
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.9.3-9.mga8
+ Revision: 1614364
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 umeabot <umeabot> 1.9.3-8.mga8
+ Revision: 1538032
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 1.9.3-7.mga8
+ Revision: 1459486
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 1.9.3-6.mga8
+ Revision: 1419532
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 1.9.3-5.mga8
+ Revision: 1419280
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.9.3-4.mga7
+ Revision: 1300052
- Mageia 7 Mass Rebuild

* Sat Jun 03 2017 akien <akien> 1.9.3-3.mga6
+ Revision: 1106124
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.9.3-2.mga6
+ Revision: 1019820
- rebuild for wxgtk3.0 built with GTK2

* Sat Jan 09 2016 akien <akien> 1.9.3-1.mga6
+ Revision: 920731
- Version 1.9.3

* Fri Dec 19 2014 akien <akien> 1.9.2-1.mga5
+ Revision: 804253
- Version 1.9.2

* Wed Oct 15 2014 umeabot <umeabot> 1.9.1-3.mga5
+ Revision: 747529
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.1-2.mga5
+ Revision: 683262
- Mageia 5 Mass Rebuild

* Thu Mar 27 2014 akien <akien> 1.9.1-1.mga5
+ Revision: 608957
- imported package openyahtzee (mga#13016)

